Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.xpath.saxon
Class XBeansXPath

    java.lang.Object
      org.apache.xmlbeans.impl.xpath.saxon.XBeansXPath

All Implemented Interfaces:
  PathDelegate.SelectPathInterface

    public class XBeansXPath

extends java.lang.Object
implements PathDelegate.SelectPathInterface

Constructor Summary
`XBeansXPath(java.lang.String path, java.lang.String contextVar, java.util.Map namespaceMap, java.lang.String defaultNS)` Construct given an XPath expression string.

Method Summary
`java.util.List` | `selectNodes(java.lang.Object node)` Select all nodes that are selectable by this XPath expression.
`java.util.List` | `selectPath(java.lang.Object node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XBeansXPath

    public XBeansXPath(java.lang.String path,
                       java.lang.String contextVar,
                       java.util.Map namespaceMap,
                       java.lang.String defaultNS)

  Construct given an XPath expression string.

  Parameters:
    `path` - The XPath expression
    `contextVar` - The name of the context variable
    `namespaceMap` - a map of prefix/uri bindings for NS support
    `defaultNS` - the uri for the default element NS, if any

Method Detail

### selectNodes

    public java.util.List selectNodes(java.lang.Object node)

  Select all nodes that are selectable by this XPath expression. If multiple nodes match, multiple nodes will be returned.

  NOTE: In most cases, nodes will be returned in document-order, as defined by the XML Canonicalization specification. The exception occurs when using XPath expressions involving the `union` operator (denoted with the pipe '|' character).

  NOTE: Param node must be a DOM node which will be used during the xpath execution and iteration through the results. A call of node.dispose() must be done after reading all results.

  Parameters:
    `node` - The node, nodeset or Context object for evaluation. This value can be null.
  Returns:
    The `List` of all items selected by this XPath expression.

### selectPath

    public java.util.List selectPath(java.lang.Object node)

  Specified by:
    `selectPath` in interface `PathDelegate.SelectPathInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD